Google 逆画像検索API
Googleの逆画像検索を使用して、画像がWeb上のどこに表示されているかを調べます。engine=google_reverse_imageを設定し、image_urlパラメータに公開アクセス可能な画像URLを渡してください。
Endpoint
Section titled “Endpoint” GET https://serp.shifter.io/v1?engine=google_reverse_image&api_key=YOUR_API_KEY
Parameters
Section titled “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | あなたのSERP APIキー |
engine | string | yes | google_reverse_imageである必要があります |
image_url | string | yes | 検索対象の画像のURL(URLエンコードされている必要があります) |
device | string | no | desktop、mobile、またはtablet |
google_domain | string | no | 使用するGoogleドメイン |
location | string | no | ジオターゲティングの地域名 |
uule | string | no | Googleエンコードされた位置情報文字列 |
hl | string | no | インターフェース言語コード |
gl | string | no | 国コード |
lr | string | no | 言語制限、形式はlang_xx |
Example request
Section titled “Example request”curl "https://serp.shifter.io/v1?engine=google_reverse_image&api_key=YOUR_API_KEY&image_url=https%3A%2F%2Fencrypted-tbn1.gstatic.com%2Fimages%3Fq%3Dtbn%3AANd9GcRjlJi4t9H9nOiAAv_nRGq8arI_Ed9ILW1lY9lKWa63q8AL_UwI"import requests
params = { "engine": "google_reverse_image", "api_key": "YOUR_API_KEY", "image_url": "https://encrypted-tbn1.gstatic.com/images?q=tbn:ANd9GcRjlJi4t9H9nOiAAv_nRGq8arI_Ed9ILW1lY9lKWa63q8AL_UwI",}r = requests.get("https://serp.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'google_reverse_image', api_key: 'YOUR_API_KEY', image_url: 'https://encrypted-tbn1.gstatic.com/images?q=tbn:ANd9GcRjlJi4t9H9nOiAAv_nRGq8arI_Ed9ILW1lY9lKWa63q8AL_UwI',});const data = await (await fetch(url)).json();Example response
Section titled “Example response”{ "search_parameters": { "engine": "google_reverse_image", "image_url": "https://encrypted-tbn1.gstatic.com/images?q=tbn:..." }, "image_sizes": [ { "size": "1920 x 1080", "image": "https://...", "link": "https://..." } ], "inline_images": [ { "source": "https://example.com", "thumbnail": "https://..." } ], "image_results": [ { "position": 1, "title": "Image from example.com", "link": "https://example.com/page", "source": "example.com", "thumbnail": "https://..." } ]}